Summary: Windows binaries loader
Name: binfmt_mz
Version: 1.0
Release: 1
Copyright: distributable
Group: Applications/Emulators
Source: binfmt_mz.tar.gz
Buildroot: /tmp/mzloader-root
Requires: modules wine
# this only works on Linux/i386 
ExclusiveOS: Linux
ExclusiveArch: i386

%description
This package contains the mzloader wrapper that allows loading 
MZ (DOS/Windows) programs by calling an appropriate emulator.
Currently this is only useful for the windows apps.

%prep
%setup -n binfmt_mz

%build
make 

%install
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,local/etc}
mkdir -p $RPM_BUILD_ROOT/lib/modules/default/fs
install -m 755 mzloader $RPM_BUILD_ROOT/usr/sbin/mzloader
install -m 644 mzrc $RPM_BUILD_ROOT/usr/local/etc/mzrc
install -m 644 binfmt_mz.o $RPM_BUILD_ROOT/lib/modules/default/fs

%clean
rm -r $RPM_BUILD_ROOT

%post
if grep binfmt_mz /etc/conf.modules
then
	/bin/true
else
	echo -e "alias binfmt-23117	binfmt_mz" >> /etc/conf.modules
fi

%files
%doc README
/usr/sbin/mzloader
%config /usr/local/etc/mzrc
/lib/modules/default/fs
